HttpMessage::__construct
HttpMessage::factory
The HttpMessage class
PHP Manual

# HttpMessage::detach

(PECL pecl_http:0.22.0-1.5.5)

HttpMessage::detach — Detach HttpMessage

### Description

public HttpMessage HttpMessage::detach ( void )

Returns a clone of an HttpMessage object detached from any parent messages.

### Parameters

### Return Values

Returns detached HttpMessage object copy.

HttpMessage::__construct
HttpMessage::factory
The HttpMessage class
PHP Manual